Package org.apache.coyote

# Class AbstractProtocol.AsyncTimeout

java.lang.Object
org.apache.coyote.AbstractProtocol.AsyncTimeout

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  AbstractProtocol<S>

protected class AbstractProtocol.AsyncTimeout extends Object implements Runnable
Async timeout thread

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AsyncTimeout()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The background thread that checks async requests and fires the timeout if there has been no activity.
`protected void`
`stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncTimeout

protected AsyncTimeout()

## Method Details

### run

public void run()
The background thread that checks async requests and fires the timeout if there has been no activity.

Specified by:
  `run` in interface `Runnable`

### stop

protected void stop()